﻿(function () {

    "use strict";

    angular.module("EnrApp")
           .filter("arrayIndexOrDefault", function () {
               return function (input, index, fallbackDefault) {
                   var returnValue = fallbackDefault;

                   if (angular.isArray(input) && input.length > index)
                       returnValue = input[index];

                   return returnValue;
               };
           });
}());
